Bug 127802 - Mount of CFS fails with fedora2 mount, works with fedora1 mount
Mount of CFS fails with fedora2 mount, works with fedora1 mount
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-07-13 23:19 EDT by Aloril
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-31 08:45:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aloril 2004-07-13 23:19:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Cryptographic File System from Fedora Extras

/etc/fstab contains line:
localhost:/.cfsfs       /mnt/crypt  nfs

/etc/exports contains line:
/.cfsfs         localhost()

With Fedora 2 mount it fails:
# /bin/mount -v /mnt/crypt
mount to NFS server 'localhost' failed: server is down.
RPC Error: 0 ( Success )

Ethereal shows: Portmap V2 GETPORT Call

With Fedora 1 mount it succeeds:
# ./fedora1.mount -v /mnt/crypt
mount: failed with nfs mount version 4, trying 3..
localhost:/.cfsfs on /mnt/crypt type nfs

Ethereal shows: Portmap V2 DUMP Call

Everything else is same on this machine, only mount executable is

Version-Release number of selected component (if applicable):
util-linux-2.12-18  kernel-2.6.5-1.358

How reproducible:

Steps to Reproduce:
1. install cfs using yum with config at
2. service cfsd start
3. try same with mount executable from fedora1

Actual Results:  2. cfsd starts, mount fails
3. mount succeeds

Expected Results:  2. mount should have succeeded

Additional info:

not using kernel-2.6.6-1.435 because network doesn't come up, haven't
looked more at it
Comment 1 Elliot Lee 2004-07-14 15:26:14 EDT
I'll be happy to try for a fix once the problem is explained. Right
now the most important thing is discovering the source of the problem
- I can't do that since cfs is involved. Would you try to track down
the problem, perhaps with the help of the cfs authors?
Comment 2 Johan Vromans 2004-08-24 16:51:11 EDT
CFS is quite critical for me. I'm running FC2 w/ updates to date.
How can I help?

Kernel: 2.6.7-1.494.2.2
util-linux: 2.12-18
cfs (+ -utils): 1.4.1-0.fdr.3.2
Comment 3 Elliot Lee 2004-12-10 10:30:27 EST
This is a util-linux bug that will need to be worked out with the cfs
authors - cfs does non-standard things that I just can't debug very
Comment 4 Aloril 2005-09-23 03:35:52 EDT
Here is simple test which does not require any extra programs like cfs to test:
/etc/exports has this line:
/null localhost(sync)

Then this command works:
/bin/mount -o intr localhost:/null /c

but this command fails:
/bin/mount -o port=3049,intr localhost:/null /c
with this message:
mount to NFS server 'localhost' failed: server is down.

Both commands work with Fedora 1 mount program, even under Fedora 4.
Comment 5 Karel Zak 2005-09-30 10:56:38 EDT
Sorry, but FC2 is unsupported. It's maintained by The Fedora Legacy Project only.
Comment 6 Karel Zak 2005-10-31 08:45:58 EST
Closing. Please, update to FC4.
Comment 7 Johan Vromans 2005-10-31 09:25:26 EST
You mean that it works under FC4?

Note You need to log in before you can comment on or make changes to this bug.